{%- from "ironic/map.jinja" import api,conductor with context %}

ironic_task_service_running:
  test.show_notification:
    - text: "Running ironic.upgrade.service_running"

{%- if api.get('enabled', False) %}
ironic_start_{{ api.service }}:
  service.running:
    - name: {{ api.service }}
    - enable: True
{%- endif %}

{%- if conductor.get('enabled', False) %}
ironic_start_{{ conductor.service }}:
  service.running:
    - name: {{ conductor.service }}
    - enable: True
{%- endif %}
